Subject: Re: [PATCH net-next v4] dsa: lan9303: Add 3 ethtool stats

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Dec 2022 11:36:22 -0800

On Fri, 2 Dec 2022 15:22:55 +0000 [email-masked] wrote:
> >Huh? I'm guessing you're referring to some patches you have queued
> >already and don't want to rebase across? Or some project planning?
> >Otherwise I don't see a connection :S
> 
> In looking around at other implementations, I see where the link_up
> and link_down are used to start or clean up the periodic workqueue
> used to retrieve and accumulate the mib stats into the driver.  Can't tell
> if that's a requirement or only needed when the device interface is
> considered too slow.  The device interface is not atomic.

Atomic as in it reads over a bus which requires sleeping?
Yes, the stats ndo can't sleep because of the old procfs interface
which ifconfig uses and which is invoked under the RCU lock.